/*    LIMITAZIONE DELLA RESPONSABILITA'. 
  Il software  fornito "cos com'", senza garanzie di  sorta.               */
%macro grabpath;
%qsubstr(%sysget(SAS_EXECFILEPATH),1,%length(%sysget(SAS_EXECFILEPATH))-%length(%sysget(SAS_EXECFILEname)))
%mend grabpath;
%let path = %grabpath;
%let nomeFile =ISTAT_MFR_ICT_Microdati_2014_ESEMPIO_STRUTTURA_FILE.txt;
LIBNAME ISTAT "&path";
DATA ISTAT.ICT_A2014;

INFILE "&path&nomeFile" DLM='5E'x  LRECL=6000 TRUNCOVER FIRSTOBS=2 IGNOREDOSEOF;
INPUT 
Codice :5.   /*  Codice progressivo */
Ricavi :9.   /*  Classe di ricavi da vendita di beni e servizi */
A1 :1.   /*  Utilizzo di computer nell'Impresa */
A2 :8.4   /*  Percentuale di addetti usano computer */
B1 :2.   /*  Impiego di addetti specialisti in materie informatiche */
B2a :2.   /*  Corsi di formazione IT destinati agli addetti con competenze specialistiche in ICT */
B2b :2.   /*  Corsi di formazione IT destinati agli addetti senza competenze specialistiche in ICT */
B3 :2.   /*  Ha assunto o ha provato ad assumere specialisti ICT */
B4 :2.   /*  Difficolt a coprire i posti vacanti per specialisti ICT */
B5a :2.   /*  Utilizzo di persone specializzate in materie informatiche che fanno parte del gruppo di imprese */
B5b :2.   /*  Utilizzo di persone specializzate in materie informatiche esterne al gruppo */
C1 :2.   /*  Connessione ad Internet */
C2 :8.4   /*  Percentuale di addetti usano computer connessi Internet */
C3 :2.   /*  Tipo di connessione: fissa in banda larga */
C4 :2.   /*  Velocit max download connessione fissa */
C5a :2.   /*  Tipo di connessione: mobile in banda larga */
C5b :2.   /*  Tipo di connessione: mobile non a banda larga */
C6 :8.4   /*  Percentuale di addetti provvisti di dispositivi portatili forniti dall'impresa che permettono la connessione mobile ad Internet */
C7 :2.   /*  Sito web */
C8a :2.   /*  Possibilit di effettuare ordinazioni o prenotazioni on line (es. carrello della spesa on line) */
C8b :2.   /*  Tracciabilit on line dell'ordine */
C8c :2.   /*  Accesso a cataloghi di prodotti o listini prezzi */
C8d :2.   /*  Possibilit di personalizzare i contenuti del sito per i visitatori abituali */
C8e :2.   /*  Possibilit per i visitatori del sito di personalizzare o progettare prodotti */
C8f :2.   /*  Avvertenze sulla politica in materia di privacy, marchio di certificazione della tutela della privacy o certificazione della sicurezza del sito */
C8g :2.   /*  Annuncio di posti di lavoro vacanti o possibilit di effettuare domande di impiego on line */
C8h :2.   /*  Collegamenti o riferimenti ai profili dell'impresa sui social media */
C8i :2.   /*  Possibilit di presentare on-line dei reclami (tramite email, modulo web, ecc.) */
C9a :2.   /*  Utilizzo SM per tipologia: social network (ad es. Facebook, Linkedln, Xing, Viadeo, Yammer) */
C9b :2.   /*  Utilizzo SM per tipologia: blog o microblog dell'impresa (ad es. TWItter, Present.ly) */
C9c :2.   /*  Utilizzo SM per tipologia: siti web di condivisione di contenuti multimediali (ad es. YouTube, Flickr, Picasa, SlideShare) */
C9d :2.   /*  Utilizzo SM per tipologia: strumenti di tipo Wiki basati sulla condivisione delle conoscenze */
D1 :2.   /*  Utilizzo di servizi di cloud computing su Internet */
D2a :2.   /*  Tipologia servizi cloud utilizzati: servizi di posta elettronica */
D2b :2.   /*  Tipologia servizi cloud utilizzati: software per ufficio */
D2c :2.   /*  Tipologia servizi cloud utilizzati: hosting di database dell'impresa */
D2d :2.   /*  Tipologia servizi cloud utilizzati: archiviazione di file */
D2e :2.   /*  Tipologia servizi cloud utilizzati: applicazioni software di finanza e contabilit */
D2f :2.   /*  Tipologia servizi cloud utilizzati: applicazioni software CRM per gestire le informazioni relative ai propri clienti */
D2g :2.   /*  Tipologia servizi cloud utilizzati: potenza di calcolo per eseguire il software dell'impresa */
D3a :2.   /*  Tipologia di fornitura di servizi cloud: server condivisi (cloud pubblico) */
D3b :2.   /*  Tipologia di fornitura di servizi cloud: server riservati (cloud privato) */
D4a :2.   /*  Benefici utilizzo cloud (livello): riduzione dei costi relativi all'ICT */
D4b :2.   /*  Benefici utilizzo cloud (livello): flessibilit grazie alla scalabilit servizi di cloud */
D4c :2.   /*  Benefici utilizzo cloud (livello): implementazione facile e veloce di soluzioni basate sul cloud */
D5a :2.   /*  Limitazioni utilizzo cloud: rischi di violazione della sicurezza */
D5b :2.   /*  Limitazioni utilizzo cloud: problemi per l'accesso ai dati o al software */
D5c :2.   /*  Limitazioni utilizzo cloud: difficolt di trasferire i dati (portabilit) nel caso di cambiamento del fornitore o cessazione del servizio di cloud */
D5d :2.   /*  Limitazioni utilizzo cloud: incertezza sull'ubicazione dei dati */
D5e :2.   /*  Limitazioni utilizzo cloud: incertezza sul quadro legislativo di riferimento, la giurisdizione e la competenza in caso di controversie */
D5f :2.   /*  Limitazioni utilizzo cloud: costi elevati per l'acquisto di servizi di cloud */
D5g :2.   /*  Limitazioni utilizzo cloud: conoscenza non adeguata dei servizi di cloud */
E1 :2.   /*  Utilizzo software ERP */
E2a :2.   /*  Utilizzo software CRM analitico */
E2b :2.   /*  Utilizzo software CRM operativo */
F1a :2.   /*  Scambio elettronico di dati in formato tipo edi: istruzioni di pagamento a istituti finanziari */
F1b :2.   /*  Scambio elettronico di dati in formato tipo edi: dati dalla/alla Pubblica Amministrazione */
G1 :2.   /*  Condivisione elettronica informazioni sulla SCM */
G2a :2.   /*  Condivisione elettronica informazioni sulla SCM tramite web */
G2b :2.   /*  Condivisione elettronica informazioni sulla SCM tramite scambio in formato standard */
H1a :2.   /*  Utilizzo RFID per dentificare persone o controllare gli accessi */
H1b :2.   /*  Utilizzo RFID per monitorare e controllare la produzione industriale e il processo di consegna */
H1c :2.   /*  Utilizzo RFID per identificare i prodotti dopo la fase della produzione */
I2a :3.   /*  Percentuale di fatture inviate ad altre imprese o P.A. in formato elettronico standard adatto per l'elaborazione  automatica dei dati (ad es. EDI, UBL, XML) */
I2b :3.   /*  Percentuale di fatture inviate ad altre imprese o P.A. in formato elettronico non adatto per l'elaborazione automatica (ad es. email, allegati email in formato PDF) */
I2c :3.   /*  Percentuale di fatture inviate  ad altre imprese o P.A. in formato cartaceo */
I3a :3.   /*  Percentuale di fatture ricevute in formato elettronico standard adatto per l'elaborazione  automatica dei dati (ad es. EDI, UBL, XML) */
I3b :3.   /*  Percentuale di fatture ricevute in formato elettronico non adatto per l'elaborazione automatica (ad es. email, allegati email in formato PDF) + cartacee */
J1 :2.   /*  Ordini di vendita attraverso sito web */
J2 :2.   /*  Classe di valore percentuale degli ordini di vendita sito web */
J3a :3.   /*  Percentuale delle vendite effettuate attraverso sito web a consumatori privati (B2C) */
J3b :3.   /*  Percentuale delle vendite effettuate attraverso sito web ad altre imprese (B2B) o alla Pubblica Amministrazione (B2G) */
J4a :2.   /*  Pagamenti online */
J4b :2.   /*  Pagamenti offline */
J5 :2.   /*  Ordini di vendita attraverso sistemi di tipo EDI */
J6 :2.   /*  Classe di valore percentuale degli ordini di vendita sistemi di tipo EDI */
J7 :2.   /*  Acquisti tramite reti informatiche (sito web, extranet, Edi) */
J8 :2.   /*  Classe percentuale in cui ricade il valore degli ordini di acquisto online sul totale degli acquisti */
Ateco : $2.   /*  Ateco, classificazione ateco2007 */
mac : $2.   /*  Macrosettore */
clad4 : $3.   /*  Classe addetti */
reg21 : $2.   /*   21 reg amministrative (BZ=21; TN=22 )  */
dom1 : $3.   /*  Primo dominio di stima per la pubblicazione (per 27 attivit economiche) */
dom2 : $5.   /*  Secondo dominio di stima per la pubblicazione (mac per  clad4) */
dom3 : $4.   /*  Terzo dominio di stima per la pubblicazione (mac per reg21) */
dom4 : $6.   /*  Dominio relativo al settore ICT che comprende le seguenti attivit economiche: 261+262+263+264+268+465+582+61+62+631+951 */
coeffin :12.8   /*  Peso da utilizzare per riporto all'universo (Asia 2012) */
J2J6 :2.   /*  Classe di valore percentuale degli ordini di vendita online */
;
LABEL 
Codice = "Codice progressivo"
Ricavi = "Classe di ricavi da vendita di beni e servizi"
A1 = "Utilizzo di computer nell'Impresa"
A2 = "Percentuale di addetti usano computer"
B1 = "Impiego di addetti specialisti in materie informatiche"
B2a = "Corsi di formazione IT destinati agli addetti con competenze specialistiche in ICT"
B2b = "Corsi di formazione IT destinati agli addetti senza competenze specialistiche in ICT"
B3 = "Ha assunto o ha provato ad assumere specialisti ICT"
B4 = "Difficolt a coprire i posti vacanti per specialisti ICT"
B5a = "Utilizzo di persone specializzate in materie informatiche che fanno parte del gruppo di imprese"
B5b = "Utilizzo di persone specializzate in materie informatiche esterne al gruppo"
C1 = "Connessione ad Internet"
C2 = "Percentuale di addetti usano computer connessi Internet"
C3 = "Tipo di connessione: fissa in banda larga"
C4 = "Velocit max download connessione fissa"
C5a = "Tipo di connessione: mobile in banda larga"
C5b = "Tipo di connessione: mobile non a banda larga"
C6 = "Percentuale di addetti provvisti di dispositivi portatili forniti dall'impresa che permettono la connessione mobile ad Internet"
C7 = "Sito web"
C8a = "Possibilit di effettuare ordinazioni o prenotazioni on line (es. carrello della spesa on line)"
C8b = "Tracciabilit on line dell'ordine"
C8c = "Accesso a cataloghi di prodotti o listini prezzi"
C8d = "Possibilit di personalizzare i contenuti del sito per i visitatori abituali"
C8e = "Possibilit per i visitatori del sito di personalizzare o progettare prodotti"
C8f = "Avvertenze sulla politica in materia di privacy, marchio di certificazione della tutela della privacy o certificazione della sicurezza del sito"
C8g = "Annuncio di posti di lavoro vacanti o possibilit di effettuare domande di impiego on line"
C8h = "Collegamenti o riferimenti ai profili dell'impresa sui social media"
C8i = "Possibilit di presentare on-line dei reclami (tramite email, modulo web, ecc.)"
C9a = "Utilizzo SM per tipologia: social network (ad es. Facebook, Linkedln, Xing, Viadeo, Yammer)"
C9b = "Utilizzo SM per tipologia: blog o microblog dell'impresa (ad es. TWItter, Present.ly)"
C9c = "Utilizzo SM per tipologia: siti web di condivisione di contenuti multimediali (ad es. YouTube, Flickr, Picasa, SlideShare)"
C9d = "Utilizzo SM per tipologia: strumenti di tipo Wiki basati sulla condivisione delle conoscenze"
D1 = "Utilizzo di servizi di cloud computing su Internet"
D2a = "Tipologia servizi cloud utilizzati: servizi di posta elettronica"
D2b = "Tipologia servizi cloud utilizzati: software per ufficio"
D2c = "Tipologia servizi cloud utilizzati: hosting di database dell'impresa"
D2d = "Tipologia servizi cloud utilizzati: archiviazione di file"
D2e = "Tipologia servizi cloud utilizzati: applicazioni software di finanza e contabilit"
D2f = "Tipologia servizi cloud utilizzati: applicazioni software CRM per gestire le informazioni relative ai propri clienti"
D2g = "Tipologia servizi cloud utilizzati: potenza di calcolo per eseguire il software dell'impresa"
D3a = "Tipologia di fornitura di servizi cloud: server condivisi (cloud pubblico)"
D3b = "Tipologia di fornitura di servizi cloud: server riservati (cloud privato)"
D4a = "Benefici utilizzo cloud (livello): riduzione dei costi relativi all'ICT"
D4b = "Benefici utilizzo cloud (livello): flessibilit grazie alla scalabilit servizi di cloud"
D4c = "Benefici utilizzo cloud (livello): implementazione facile e veloce di soluzioni basate sul cloud"
D5a = "Limitazioni utilizzo cloud: rischi di violazione della sicurezza"
D5b = "Limitazioni utilizzo cloud: problemi per l'accesso ai dati o al software"
D5c = "Limitazioni utilizzo cloud: difficolt di trasferire i dati (portabilit) nel caso di cambiamento del fornitore o cessazione del servizio di cloud"
D5d = "Limitazioni utilizzo cloud: incertezza sull'ubicazione dei dati"
D5e = "Limitazioni utilizzo cloud: incertezza sul quadro legislativo di riferimento, la giurisdizione e la competenza in caso di controversie"
D5f = "Limitazioni utilizzo cloud: costi elevati per l'acquisto di servizi di cloud"
D5g = "Limitazioni utilizzo cloud: conoscenza non adeguata dei servizi di cloud"
E1 = "Utilizzo software ERP"
E2a = "Utilizzo software CRM analitico"
E2b = "Utilizzo software CRM operativo"
F1a = "Scambio elettronico di dati in formato tipo edi: istruzioni di pagamento a istituti finanziari"
F1b = "Scambio elettronico di dati in formato tipo edi: dati dalla/alla Pubblica Amministrazione"
G1 = "Condivisione elettronica informazioni sulla SCM"
G2a = "Condivisione elettronica informazioni sulla SCM tramite web"
G2b = "Condivisione elettronica informazioni sulla SCM tramite scambio in formato standard"
H1a = "Utilizzo RFID per dentificare persone o controllare gli accessi"
H1b = "Utilizzo RFID per monitorare e controllare la produzione industriale e il processo di consegna"
H1c = "Utilizzo RFID per identificare i prodotti dopo la fase della produzione"
I2a = "Percentuale di fatture inviate ad altre imprese o P.A. in formato elettronico standard adatto per l'elaborazione  automatica dei dati (ad es. EDI, UBL, XML)"
I2b = "Percentuale di fatture inviate ad altre imprese o P.A. in formato elettronico non adatto per l'elaborazione automatica (ad es. email, allegati email in formato PDF)"
I2c = "Percentuale di fatture inviate  ad altre imprese o P.A. in formato cartaceo"
I3a = "Percentuale di fatture ricevute in formato elettronico standard adatto per l'elaborazione  automatica dei dati (ad es. EDI, UBL, XML)"
I3b = "Percentuale di fatture ricevute in formato elettronico non adatto per l'elaborazione automatica (ad es. email, allegati email in formato PDF) + cartacee"
J1 = "Ordini di vendita attraverso sito web"
J2 = "Classe di valore percentuale degli ordini di vendita sito web"
J3a = "Percentuale delle vendite effettuate attraverso sito web a consumatori privati (B2C)"
J3b = "Percentuale delle vendite effettuate attraverso sito web ad altre imprese (B2B) o alla Pubblica Amministrazione (B2G)"
J4a = "Pagamenti online"
J4b = "Pagamenti offline"
J5 = "Ordini di vendita attraverso sistemi di tipo EDI"
J6 = "Classe di valore percentuale degli ordini di vendita sistemi di tipo EDI"
J7 = "Acquisti tramite reti informatiche (sito web, extranet, Edi)"
J8 = "Classe percentuale in cui ricade il valore degli ordini di acquisto online sul totale degli acquisti"
Ateco = "Ateco, classificazione ateco2007"
mac = "Macrosettore"
clad4 = "Classe addetti"
reg21 = " 21 reg amministrative (BZ=21; TN=22 ) "
dom1 = "Primo dominio di stima per la pubblicazione (per 27 attivit economiche)"
dom2 = "Secondo dominio di stima per la pubblicazione (mac per  clad4)"
dom3 = "Terzo dominio di stima per la pubblicazione (mac per reg21)"
dom4 = "Dominio relativo al settore ICT che comprende le seguenti attivit economiche: 261+262+263+264+268+465+582+61+62+631+951"
coeffin = "Peso da utilizzare per riporto all'universo (Asia 2012)"
J2J6 = "Classe di valore percentuale degli ordini di vendita online"
;
RUN;
PROC FORMAT;
VALUE Ric1F /* Ricavi */
-0= "[0,20000)"
-20000= "[20000,50000)"
-50000= "[50000,100000)"
-100000= "[100000,200000)"
-200000= "[200000,500000)"
-500000= "[500000,1000000)"
-1000000= "[1000000,2000000)"
-2000000= "[2000000,4000000)"
-4000000= "[4000000,5000000)"
-5000000= "[5000000,10000000)"
-10000000= "[10000000,20000000)"
-20000000= "[20000000,50000000)"
-50000000= "[50000000,200000000)"
-200000000= "[200000000 e oltre)"
;
VALUE A12F /* A1 */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE B14F /* B1 */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE B2a5F /* B2a */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE B2b6F /* B2b */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE B37F /* B3 */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE B48F /* B4 */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE B5a9F /* B5a */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE B5b10F /* B5b */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE C111F /* C1 */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE C313F /* C3 */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE C414F /* C4 */
-.= "missing"
-1= "Inferiore a  2Mbit/s"
-2= "Compresa tra 2Mbit/s e meno di 10Mbit/s"
-3= "Compresa tra 10Mbit/s e meno di 30Mbit/s"
-4= "Compresa tra 30Mbit/s e meno di 100Mbit/s"
-5= "Maggiore o uguale a 100 Mbit/s"
;
VALUE C5a15F /* C5a */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE C5b16F /* C5b */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE C718F /* C7 */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE C8a19F /* C8a */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE C8b20F /* C8b */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE C8c21F /* C8c */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE C8d22F /* C8d */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE C8e23F /* C8e */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE C8f24F /* C8f */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE C8g25F /* C8g */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE C8h26F /* C8h */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE C8i27F /* C8i */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE C9a28F /* C9a */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE C9b29F /* C9b */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE C9c30F /* C9c */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE C9d31F /* C9d */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE D132F /* D1 */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE D2a33F /* D2a */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE D2b34F /* D2b */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE D2c35F /* D2c */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE D2d36F /* D2d */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE D2e37F /* D2e */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE D2f38F /* D2f */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE D2g39F /* D2g */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE D3a40F /* D3a */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE D3b41F /* D3b */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE D4a42F /* D4a */
-.= "missing"
-1= "beneficio elevato"
-2= "beneficio medio"
-3= "beneficio scarso"
-4= "beneficio nullo"
;
VALUE D4b43F /* D4b */
-.= "missing"
-1= "beneficio elevato"
-2= "beneficio medio"
-3= "beneficio scarso"
-4= "beneficio nullo"
;
VALUE D4c44F /* D4c */
-.= "missing"
-1= "beneficio elevato"
-2= "beneficio medio"
-3= "beneficio scarso"
-4= "beneficio nullo"
;
VALUE D5a45F /* D5a */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE D5b46F /* D5b */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE D5c47F /* D5c */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE D5d48F /* D5d */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE D5e49F /* D5e */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE D5f50F /* D5f */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE D5g51F /* D5g */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE E152F /* E1 */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE E2a53F /* E2a */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE E2b54F /* E2b */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE F1a55F /* F1a */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE F1b56F /* F1b */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE G157F /* G1 */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE G2a58F /* G2a */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE G2b59F /* G2b */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE H1a60F /* H1a */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE H1b61F /* H1b */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE H1c62F /* H1c */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE J168F /* J1 */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE J269F /* J2 */
-0= "[0,1)"
-1= "[1,2)"
-2= "[2,5)"
-5= "[5,10)"
-10= "[10,25)"
-25= "[25,50)"
-50= "[50,oltre 50)"
;
VALUE J4a72F /* J4a */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE J4b73F /* J4b */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE J574F /* J5 */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE J675F /* J6 */
-0= "[0,1)"
-1= "[1,2)"
-2= "[2,5)"
-5= "[5,10)"
-10= "[10,25)"
-25= "[25,50)"
-50= "[50,oltre 50)"
;
VALUE J776F /* J7 */
-.= "missing"
-0= "no"
-1= "si"
;
VALUE J877F /* J8 */
-.= "missing"
-1= "Meno dell1%"
-2= "Tra l1% e meno del 5%"
-3= "Tra il 5% e meno di 10%"
-4= "Tra il 10% e meno di 25%"
-5= "Tra il 25% e meno di 50%"
6= "Tra il 50% e meno di 75%"
7= "Dal 75% al 100%"
;
VALUE $Ate78F /* Ateco */
"A01" = "COLTIVAZIONI AGRICOLE E PRODUZIONE DI PRODOTTI ANIMALI, CACCIA E SERVIZI CONNESSI"
"A02" = "SILVICOLTURA ED UTILIZZO DI AREE FORESTALI"
"A03" = "PESCA E ACQUACOLTURA"
"B05" = "ESTRAZIONE DI CARBONE (ESCLUSA TORBA)"
"B06" = "ESTRAZIONE DI PETROLIO GREGGIO E DI GAS NATURALE"
"B07" = "ESTRAZIONE DI MINERALI METALLIFERI"
"B08" = "ALTRE ATTIVIT DI ESTRAZIONE DI MINERALI DA CAVE E MINIERE"
"B09" = "ATTIVIT DEI SERVIZI DI SUPPORTO ALL'ESTRAZIONE"
"C10" = "INDUSTRIE ALIMENTARI"
"C11" = "INDUSTRIA DELLE BEVANDE"
"C12" = "INDUSTRIA DEL TABACCO"
"C13" = "INDUSTRIE TESSILI"
"C14" = "CONFEZIONE DI ARTICOLI DI ABBIGLIAMENTO; CONFEZIONE DI ARTICOLI IN PELLE E PELLICCIA"
"C15" = "FABBRICAZIONE DI ARTICOLI IN PELLE E SIMILI"
"C16" = "INDUSTRIA DEL LEGNO E DEI PRODOTTI IN LEGNO E SUGHERO (ESCLUSI I MOBILI); FABBRICAZIONE DI ARTICOLI IN PAGLIA E MATERIALI DA INTRECCIO"
"C17" = "FABBRICAZIONE DI CARTA E DI PRODOTTI DI CARTA"
"C18" = "STAMPA E RIPRODUZIONE DI SUPPORTI REGISTRATI"
"C19" = "FABBRICAZIONE DI COKE E PRODOTTI DERIVANTI DALLA RAFFINAZIONE DEL PETROLIO"
"C20" = "FABBRICAZIONE DI PRODOTTI CHIMICI"
"C21" = "FABBRICAZIONE DI PRODOTTI FARMACEUTICI DI BASE E DI PREPARATI FARMACEUTICI"
"C22" = "FABBRICAZIONE DI ARTICOLI IN GOMMA E MATERIE PLASTICHE"
"C23" = "FABBRICAZIONE DI ALTRI PRODOTTI DELLA LAVORAZIONE DI MINERALI NON METALLIFERI"
"C24" = "METALLURGIA"
"C25" = "FABBRICAZIONE DI PRODOTTI IN METALLO (ESCLUSI MACCHINARI E ATTREZZATURE)"
"C26" = "FABBRICAZIONE DI COMPUTER E PRODOTTI DI ELETTRONICA  E OTTICA; APPARECCHI ELETTROMEDICALI, APPARECCHI DI MISURAZIONE E DI OROLOGI"
"C27" = "FABBRICAZIONE DI APPARECCHIATURE ELETTRICHE ED APPARECCHIATURE PER USO DOMESTICO NON ELETTRICHE"
"C28" = "FABBRICAZIONE DI MACCHINARI ED APPARECCHIATURE NCA"
"C29" = "FABBRICAZIONE DI AUTOVEICOLI, RIMORCHI E SEMIRIMORCHI"
"C30" = "FABBRICAZIONE DI ALTRI MEZZI DI TRASPORTO"
"C31" = "FABBRICAZIONE DI MOBILI"
"C32" = "ALTRE INDUSTRIE MANIFATTURIERE"
"C33" = "RIPARAZIONE, MANUTENZIONE ED INSTALLAZIONE DI MACCHINE ED APPARECCHIATURE"
"D35" = "FORNITURA DI ENERGIA ELETTRICA, GAS, VAPORE E ARIA CONDIZIONATA"
"E36" = "RACCOLTA, TRATTAMENTO E FORNITURA DI ACQUA"
"E37" = "GESTIONE DELLE RETI FOGNARIE"
"E38" = "ATTIVIT DI RACCOLTA, TRATTAMENTO E SMALTIMENTO DEI RIFIUTI; RECUPERO DEI MATERIALI"
"E39" = "ATTIVIT DI RISANAMENTO E ALTRI SERVIZI DI GESTIONE DEI RIFIUTI"
"F41" = "COSTRUZIONE DI EDIFICI"
"F42" = "INGEGNERIA CIVILE"
"F43" = "LAVORI DI COSTRUZIONE SPECIALIZZATI"
"G45" = "COMMERCIO ALL'INGROSSO E AL DETTAGLIO E RIPARAZIONE DI AUTOVEICOLI E MOTOCICLI"
"G46" = "COMMERCIO ALL'INGROSSO (ESCLUSO QUELLO DI AUTOVEICOLI E DI MOTOCICLI)"
"G47" = "COMMERCIO AL DETTAGLIO (ESCLUSO QUELLO DI AUTOVEICOLI E DI MOTOCICLI)"
"H49" = "TRASPORTO TERRESTRE E TRASPORTO MEDIANTE CONDOTTE"
"H50" = "TRASPORTO MARITTIMO E PER VIE D'ACQUA"
"H51" = "TRASPORTO AEREO"
"H52" = "MAGAZZINAGGIO E ATTIVIT DI SUPPORTO AI TRASPORTI"
"H53" = "SERVIZI POSTALI E ATTIVIT DI CORRIERE"
"I55" = "ALLOGGIO"
"I56" = "ATTIVIT DEI SERVIZI DI RISTORAZIONE"
"J58" = "ATTIVIT EDITORIALI"
"J59" = "ATTIVIT DI PRODUZIONE CINEMATOGRAFICA, DI VIDEO E DI PROGRAMMI TELEVISIVI, DI REGISTRAZIONI MUSICALI E SONORE"
"J60" = "ATTIVIT DI PROGRAMMAZIONE E TRASMISSIONE"
"J61" = "TELECOMUNICAZIONI"
"J62" = "PRODUZIONE DI SOFTWARE, CONSULENZA INFORMATICA E ATTIVIT CONNESSE"
"J63" = "ATTIVIT DEI SERVIZI D'INFORMAZIONE E ALTRI SERVIZI INFORMATICI"
"K64" = "ATTIVIT DI SERVIZI FINANZIARI (ESCLUSE LE ASSICURAZIONI E I FONDI PENSIONE)"
"K65" = "ASSICURAZIONI, RIASSICURAZIONI E FONDI PENSIONE (ESCLUSE LE ASSICURAZIONI SOCIALI OBBLIGATORIE)"
"K66" = "ATTIVIT AUSILIARIE DEI SERVIZI FINANZIARI E DELLE ATTIVIT ASSICURATIVE"
"L68" = "ATTIVIT IMMOBILIARI"
"M69" = "ATTIVIT LEGALI E CONTABILIT"
"M70" = "ATTIVIT DI DIREZIONE AZIENDALE E DI CONSULENZA GESTIONALE"
"M71" = "ATTIVIT DEGLI STUDI DI ARCHITETTURA E D'INGEGNERIA; COLLAUDI ED ANALISI TECNICHE"
"M72" = "RICERCA SCIENTIFICA E SVILUPPO"
"M73" = "PUBBLICIT E RICERCHE DI MERCATO"
"M74" = "ALTRE ATTIVIT PROFESSIONALI, SCIENTIFICHE E TECNICHE"
"M75" = "SERVIZI VETERINARI"
"N77" = "ATTIVIT DI NOLEGGIO E LEASING OPERATIVO"
"N78" = "ATTIVIT DI RICERCA, SELEZIONE, FORNITURA DI PERSONALE"
"N79" = "ATTIVIT DEI SERVIZI DELLE AGENZIE DI VIAGGIO, DEI TOUR OPERATOR E SERVIZI DI PRENOTAZIONE E ATTIVIT CONNESSE"
"N80" = "SERVIZI DI VIGILANZA E INVESTIGAZIONE"
"N81" = "ATTIVIT DI SERVIZI PER EDIFICI E PAESAGGIO"
"N82" = "ATTIVIT DI SUPPORTO PER LE FUNZIONI D'UFFICIO E ALTRI SERVIZI DI SUPPORTO ALLE IMPRESE"
"O84" = "AMMINISTRAZIONE PUBBLICA E DIFESA; ASSICURAZIONE SOCIALE OBBLIGATORIA"
"P85" = "ISTRUZIONE"
"Q86" = "ASSISTENZA SANITARIA"
"Q87" = "SERVIZI DI ASSISTENZA SOCIALE RESIDENZIALE"
"Q88" = "ASSISTENZA SOCIALE NON RESIDENZIALE"
"R90" = "ATTIVIT CREATIVE, ARTISTICHE E DI INTRATTENIMENTO"
"R91" = "ATTIVIT DI BIBLIOTECHE, ARCHIVI, MUSEI ED ALTRE ATTIVIT CULTURALI"
"R92" = "ATTIVIT RIGUARDANTI LE LOTTERIE, LE SCOMMESSE, LE CASE DA GIOCO"
"R93" = "ATTIVIT SPORTIVE, DI INTRATTENIMENTO E DI DIVERTIMENTO"
"S94" = "ATTIVIT DI ORGANIZZAZIONI ASSOCIATIVE"
"S95" = "RIPARAZIONE DI COMPUTER E DI BENI PER USO PERSONALE E PER LA CASA"
"S96" = "ALTRE ATTIVIT DI SERVIZI PER LA PERSONA"
"T97" = "ATTIVIT DI FAMIGLIE E CONVIVENZE COME DATORI DI LAVORO PER PERSONALE DOMESTICO"
"T98" = "PRODUZIONE DI BENI E SERVIZI INDIFFERENZIATI  PER USO PROPRIO DA PARTE DI  FAMIGLIE E CONVIVENZE"
"U99" = "ORGANIZZAZIONI ED ORGANISMI EXTRATERRITORIALI"
;
VALUE $mac79F /* mac */
"-M1" = "MACROSETTORE MANIFATTURIERO"
"-M3" = "MACROSETTORE COSTRUZIONI"
"-M4" = "MACROSETTORE SERVIZI (NON FINANZIARI)"
"M2" = "MACROSETTORE ENERGIA"
;
VALUE $cla80F /* clad4 */
"-cl1" = "10-49 addetti"
"-cl2" = "50-99 addetti"
"-cl3" = "100-249 addetti"
"-cl4" = "250 e pi addetti"
;
VALUE $reg81F /* reg21 */
"-1" = "Piemonte"
"-2" = "Valle d'Aosta"
"-3" = "Lombardia"
"-5" = "Veneto"
"-6" = "Friuli-Venezia Giulia"
"-7" = "Liguria"
"-8" = "Emilia-Romagna"
"-9" = "Toscana"
"-10" = "Umbria"
"-11" = "Marche"
"-12" = "Lazio"
"-13" = "Abruzzo"
"-14" = "Molise"
"-15" = "Campania"
"-16" = "Puglia"
"-17" = "Basilicata"
"-18" = "Calabria"
"-19" = "Sicilia"
"-20" = "Sardegna"
"-21" = "Provincia Autonoma Bolzano"
"-22" = "Provincia Autonoma Trento"
;
VALUE $dom82F /* dom1 */
"-N01" = "Dominio divisioni e gruppi Ateco 2007: 10+11+12"
"-N02" = "Dominio divisioni e gruppi Ateco 2007: 13+14+15"
"-N03" = "Dominio divisioni e gruppi Ateco 2007: 16+17+18"
"-N04" = "Dominio divisioni e gruppi Ateco 2007: 19+20+21+22+23"
"-N05" = "Dominio divisioni e gruppi Ateco 2007: 24+25"
"-N06" = "Dominio divisioni e gruppi Ateco 2007: 26"
"-N07" = "Dominio divisioni e gruppi Ateco 2007: 27+28"
"-N08" = "Dominio divisioni e gruppi Ateco 2007: 29+30"
"-N09" = "Dominio divisioni e gruppi Ateco 2007: 31+32+33"
"-N10" = "Dominio divisioni e gruppi Ateco 2007: 35+36+37+38+39"
"-N11" = "Dominio divisioni e gruppi Ateco 2007: 41+42+43"
"-N12" = "Dominio divisioni e gruppi Ateco 2007: 45"
"-N13" = "Dominio divisioni e gruppi Ateco 2007: 46"
"-N14" = "Dominio divisioni e gruppi Ateco 2007: 47"
"-N15" = "Dominio divisioni e gruppi Ateco 2007: 49+50+51+52"
"-N16" = "Dominio divisioni e gruppi Ateco 2007: 53"
"-N17" = "Dominio divisioni e gruppi Ateco 2007: 55"
"-N18" = "Dominio divisioni e gruppi Ateco 2007: 56"
"-N19" = "Dominio divisioni e gruppi Ateco 2007: 58"
"-N20" = "Dominio divisioni e gruppi Ateco 2007: 59+60"
"-N21" = "Dominio divisioni e gruppi Ateco 2007: 61"
"-N22" = "Dominio divisioni e gruppi Ateco 2007: 62+63"
"-N23" = "Dominio divisioni e gruppi Ateco 2007: 68"
"-N24" = "Dominio divisioni e gruppi Ateco 2007: 69+70+71+72+73+74"
"-N25" = "Dominio divisioni e gruppi Ateco 2007: 77+78+80+81+82"
"-N26" = "Dominio divisioni e gruppi Ateco 2007: 79"
"-N27" = "Dominio divisioni e gruppi Ateco 2007: 95.1"
;
VALUE J2J87F /* J2J6 */
-0= "[0,1)"
-1= "[1,2)"
-2= "[2,5)"
-5= "[5,10)"
-10= "[10,25)"
-25= "[25,50)"
-50= "[50,oltre 50)"
;
format Ricavi Ric1F.;
format A1 A12F.;
format B1 B14F.;
format B2a B2a5F.;
format B2b B2b6F.;
format B3 B37F.;
format B4 B48F.;
format B5a B5a9F.;
format B5b B5b10F.;
format C1 C111F.;
format C3 C313F.;
format C4 C414F.;
format C5a C5a15F.;
format C5b C5b16F.;
format C7 C718F.;
format C8a C8a19F.;
format C8b C8b20F.;
format C8c C8c21F.;
format C8d C8d22F.;
format C8e C8e23F.;
format C8f C8f24F.;
format C8g C8g25F.;
format C8h C8h26F.;
format C8i C8i27F.;
format C9a C9a28F.;
format C9b C9b29F.;
format C9c C9c30F.;
format C9d C9d31F.;
format D1 D132F.;
format D2a D2a33F.;
format D2b D2b34F.;
format D2c D2c35F.;
format D2d D2d36F.;
format D2e D2e37F.;
format D2f D2f38F.;
format D2g D2g39F.;
format D3a D3a40F.;
format D3b D3b41F.;
format D4a D4a42F.;
format D4b D4b43F.;
format D4c D4c44F.;
format D5a D5a45F.;
format D5b D5b46F.;
format D5c D5c47F.;
format D5d D5d48F.;
format D5e D5e49F.;
format D5f D5f50F.;
format D5g D5g51F.;
format E1 E152F.;
format E2a E2a53F.;
format E2b E2b54F.;
format F1a F1a55F.;
format F1b F1b56F.;
format G1 G157F.;
format G2a G2a58F.;
format G2b G2b59F.;
format H1a H1a60F.;
format H1b H1b61F.;
format H1c H1c62F.;
format J1 J168F.;
format J2 J269F.;
format J4a J4a72F.;
format J4b J4b73F.;
format J5 J574F.;
format J6 J675F.;
format J7 J776F.;
format J8 J877F.;
format Ateco $Ate78F.;
format mac $mac79F.;
format clad4 $cla80F.;
format reg21 $reg81F.;
format dom1 $dom82F.;
format J2J6 J2J87F.;
RUN;
